如何中Android中使用lambda

java8中出了个lambda,使得代码看起来简洁了很多,这么好的东东必须用起来啊,可惜我是做android开发的。大家都知道,java更新太快了,android兼容更不上其节奏啊,痛苦。。。

我们先来看一段java跟android的血泪史吧:
在 2006 年,Java 6 发布了。几年之后,Android 1 的 Alpha 版本发布了,四年后,Java 7 发布了。Android 在 2 年后紧随其后的开始支持 Java 7。去年,Java 8 又发布了。
你想想,你什么时候才能用上 Java 8? 可能你学的很快,然后就能用上 Java 8。但是 Android 怎么说都得几年后才能开始支持 Java 8,大家适应 Java 8 又需要很长时间。Android 现在的碎片化很严重,Java 7 只支持 API 19 及以上。如果用了 Java 7,那你的 App 用户群一下子就少了一半。即便我们现在有了 Java 8,100% 的覆盖到了所有的用户设备上,但是 Java 本身还是有些问题的。

以上纯属俺瞎扯淡,步入正题吧。

ec我已经不管了,as说下配置吧:一图看尽玄机:如下:

如何中Android中使用lambda_第1张图片
Paste_Image.png
apply plugin: 'me.tatarka.retrolambda'


buildscript {
  repositories {
     mavenCentral()
  }

  dependencies {
     classpath 'me.tatarka:gradle-retrolambda:3.5.0'
  }
}

compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
  }

你可能感兴趣的